pkg_operations(3)

NAME
pkg_operations - Package operations struct.

SYNOPSIS

#include <package.h>

  Data Fields
const char *(* get_base )(alpm_pkg_t *)
const char *(* get_desc )(alpm_pkg_t *)
const char *(* get_url )(alpm_pkg_t *)
alpm_time_t(* get_builddate )(alpm_pkg_t *)
alpm_time_t(* get_installdate )(alpm_pkg_t *)
const char *(* get_packager )(alpm_pkg_t *)
const char *(* get_arch )(alpm_pkg_t *)
off_t(* get_isize )(alpm_pkg_t *)
alpm_pkgreason_t(* get_reason )(alpm_pkg_t *)
int(* get_validation )(alpm_pkg_t *)
int(* has_scriptlet )(alpm_pkg_t *)
alpm_list_t *(* get_licenses )(alpm_pkg_t *)
alpm_list_t *(* get_groups )(alpm_pkg_t *)
alpm_list_t *(* get_depends )(alpm_pkg_t *)
alpm_list_t *(* get_optdepends )(alpm_pkg_t *)
alpm_list_t *(* get_checkdepends )(alpm_pkg_t *)
alpm_list_t *(* get_makedepends )(alpm_pkg_t *)
alpm_list_t *(* get_conflicts )(alpm_pkg_t *)
alpm_list_t *(* get_provides )(alpm_pkg_t *)
alpm_list_t *(* get_replaces )(alpm_pkg_t *)
alpm_filelist_t *(* get_files )(alpm_pkg_t *)
alpm_list_t *(* get_backup )(alpm_pkg_t *)
void *(* changelog_open )(alpm_pkg_t *)
size_t(* changelog_read )(void *, size_t, const alpm_pkg_t *, void *)
int(* changelog_close )(const alpm_pkg_t *, void *)
struct archive *(* mtree_open )(alpm_pkg_t *)
int(* mtree_next )(const alpm_pkg_t *, struct archive *, struct archive_entry **)
int(* mtree_close )(const alpm_pkg_t *, struct archive *)
int(* force_load )(alpm_pkg_t *)

Detailed Description

Package operations struct. This struct contains function pointers to all methods used to access data in a package to allow for things such as lazy package initialization (such as used by the file backend). Each backend is free to define a struct containing pointers to a specific implementation of these methods. Some backends may find using the defined default_pkg_ops struct to work just fine for their needs.

Author

Generated automatically by Doxygen for libalpm from the source code.